package junit_tests;

import static org.junit.Assert.*;

import org.junit.Test;

import model.*;

public class RecursiveMethodsTest {
	
	@Test
	public void testStrDist_1() {
		RecursiveMethods rm = new RecursiveMethods();
		assertEquals(9, rm.strDist("catcowcat", "cat"));
	}
	
	@Test
	public void testStrDist_2() {
		RecursiveMethods rm = new RecursiveMethods();
		assertEquals(3, rm.strDist("catcowcat", "cow"));
	}
	
	@Test
	public void testStrDist_3() {
		RecursiveMethods rm = new RecursiveMethods();
		assertEquals(9, rm.strDist("cccatcowcatxx", "cat"));
	}
	
	@Test
	public void testStrDist_4() {
		RecursiveMethods rm = new RecursiveMethods();
		assertEquals(12, rm.strDist("abccatcowcatcatxyz", "cat"));
	}
	
	@Test
	public void testStrDist_5() {
		RecursiveMethods rm = new RecursiveMethods();
		assertEquals(0, rm.strDist("xyx", "z"));
	}
	
	@Test
	public void testStrDist_6() {
		RecursiveMethods rm = new RecursiveMethods();
		assertEquals(5, rm.strDist("hiHellohihihi", "hih"));
	}
}
